 
  Tested on various Linux distributions(RedHat, Mandrake, Redflag, etc), also on
  Playstation 2 Linux w/SDL(kernel 2.2.1). UTF-8 mode tested on Mandrake 9.2.

  Tested on Yellowdog Linux 3.0.1(iBook G3 900Mhz, PowerPC 750), both frame buffer
  and X11(SDL/GGI) mode. 
  

 1. How to install CCE in Linux?

  ./configure 
  make
  make install

  --enable-fb will use Linux's frame buffer device first.

  --enable-lrmi will use the LRMI(Linux Real Mode Interface) to operate
     your video card, it has better compatibility than operating VGA registers
     directly.

  --enable-mouse will give you mouse copy/paste support under CCE.It supports
     serial, PS2, gpm server etc.

  --enable-gpmmouse will give you gpm mouse server support in Linux. CCE will
     try to communicate with gpm first, it'll use cce.cfg settings if that fails.

  --enable-x11font will give you X11 pcf/bdf font support
  
  --enable-freetype will give you TrueType fonts support through FreeType2 library.

  --enable-ggi will enable GGI support, so you can run CCE in X Windows.

  --enable-sdl will enable SDL support, SDL supports more platforms than GGI.

  --enable-filter will enable encoding filter support, you can use CCE in UTF8 locale.
  
  For Linux, fb/lrmi/mouse/gpmmouse/ggi/filter are enabled by default unless you use 
  --disable-* to disable it.
  
  The executable file will be installed to /usr/local/bin/cce(or /usr/bin), 
  the input methods and fonts and config file(cce.cfg) will be installed to 
  /usr/local/share/cce (or /usr/share/cce, depends on configuration options). 
  
  If you have a different mouse other than PS/2, please modify cce.cfg.
  CCE should be able to input Chinese in bash's default settings.
 
  BTW: 1) You can use ' to separate the pinyin.
       2) Ctrl-Alt-L to enable/disable LianXiang input
       3) Ctrl-Alt-K to change keyboard map(pinyin/zhuyin)
       4) Ctrl-Alt-E to change system encoding(GB/GBK/Big5/JIS/KSC,etc)

  man cce and cceconv for some more information. 


  2. How to use CCE in UTF-8 mode?

  You can use -filter "charset" to enable the input/output filter for CCE. CCE will
  dynamically do the iconv conversion from charset to internal encoding(GB/Big5/JIS etc)
  for input and the reverse conversion for output. CCE doesn't support Unicode 
  internally(due to huge fonts and other issues), but you can use "-filter UTF-8" to 
  let CCE support UTF8 console.
  
  You can use vt-is-UTF8 and locale to decide if your Linux console is in UTF8 mode.
  For example, if you install Mandrake 9.2(Chinese localization), it'll set the locale
  to "zh_CN.UTF-8" and the console is in Unicode mode. Run CCE:
      cce -filter UTF-8
  Then you can display(try cal/date, etc) and input Chinese.


  3. How to use TrueType/Type1 fonts in CCE

  CCE supports TrueType fonts through FreeType2 library in FrameBuffer/GGI/SDL modes
  (doesn't support VGA 16 colors mode).

  --enable-freetype will enable FreeType support, so you can use TrueType fonts in CCE.

  CCE will do anti-alias for TrueType fonts through FreeType library if your 
  screen is not paletted-based(>8bpp). If you feel the font is somewhat fuzzy,
  you can change DoAntiAlias(defined in font/ftfont.c) variable to 0.

  You need to use Unicoded TrueType fonts, you can copy them from Windows's fonts directory:

   Size     FileName       FamilyName                        GlyphNum  Language        Style
  10043912  simhei.ttf     SimHei    (ZHONGYI Electronic Co.)  22021   S.Chinese(GBK)  HeiTi
  10500352  simsun.ttc     SimSun    (ZHONGYI Electronic Co.)  22141   S.Chinese(GBK)  SongTi
x 8823308   mingliu.ttc    MingLiU   (DynaLab Inc)             22753   T.Chinese(Big5) MingTi?
  8272028   msgothic.ttc   MS-Gothic (Ricoh Company,LTD)       20458   Japanese(JIS)   HeiTi?
  9135960   msmincho.ttc   MS-Mincho (Ricoh Company,LTD)       17807   Japanese(JIS)   SontTi?
  13517576  gulim.ttc      Gulim     (HanYang Co, LTD)         40194   Korean(KSC)     HeiTi?
  16257484  batang.ttc     Batang    (HanYang Co, LTD)         39680   Korean(KSC)     SontTi?

  You need to use -ttfont to specify the TrueType font filename.
  Since TrueType font is scalable, so you can use --ttsize to specify the desired
  size. By default, CCE will use full-width for CJK characters and half-width
  for ASCII characters.
  
  btw: mingliu.ttc is not working yet(why?), gulim & batang has some width issues for
  ASCII characters(wider than half-width!)


  4. How to setup frame buffer in Linux

  Please read /usr/src/linux/Documentation/fb/*.txt

  CCE supports VGA16(640x480x16 colors framebuffer), generic VESA framebuffer and other
  accelerated framebuffers.


  5. How to install CCE on Playstation 2 Linux?  *_*

   First, you need to get PS2 Linux Kit.
   Next, you need to install SDL library.
       ./configure --prefix=/usr
	   make install
     Since PS2 has only a 300Mhz MIPS CPU and 32MB RAM, so it'll take a while to compile 
     and install.

   Next, compile and install CCE.
     ./configure --disable-vga --disable-fb  (PS2 Linux has no framebuffer support)
	 make install

   CCE can run in X Windows and console through SDL, but it's slow.


